Subject: Re: [bug#52390] [PATCH] dunst 1.7.3

From: ギャラ <[email-masked]>
Date: Sat, 11 Dec 2021 22:56:56 +0900

On 12/11/21 22:19, Guillaume Le Vaillant wrote:
> gyara <[email-masked]> skribis:
> 
>> This patch try update dunst to 1.7.3.
>> ...
>>        `(#:tests? #f                      ; no check target
> 
> I get a different hash:
> 
> --8<---------------cut here---------------start------------->8---
> HEAD is now at c8c415a Dunst v1.7.3
> r:sha256 hash mismatch for /gnu/store/w6naaj5dqxy54m55bjkbpdmkfn1gil2g-dunst-1.7.3-checkout:
>    expected hash: 148a6913xxavzlm6rivaycxwj0v0d5k5rpkiqnm1s6cq5hmfgmkv
>    actual hash:   1ra0ii805w3rrs0qqbjxzl6i79ksz42lnvbglw18h4igkza21kzj
> hash mismatch for store item '/gnu/store/w6naaj5dqxy54m55bjkbpdmkfn1gil2g-dunst-1.7.3-checkout'
> --8<---------------cut here---------------end--------------->8---
> 
> Maybe there was some history rewriting in the repository. Could you
> check is everything is fine with the current repository and send an
> updated patch?

Thanks for your review! I'm not quite sure why have I sent the wrong 
hash… And the updated patch is here.

---
  gnu/packages/dunst.scm | 4 ++--
  1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/dunst.scm b/gnu/packages/dunst.scm
index 908999eb04..250840415e 100644
--- a/gnu/packages/dunst.scm
+++ b/gnu/packages/dunst.scm
@@ -39,7 +39,7 @@ (define-module (gnu packages dunst)
  (define-public dunst
    (package
      (name "dunst")
-    (version "1.7.1")
+    (version "1.7.3")
      (source (origin
                (method git-fetch)
                (uri (git-reference
@@ -48,7 +48,7 @@ (define-public dunst
                (file-name (git-file-name name version))
                (sha256
                 (base32
-                "0v15fhwzcg7zfn092sry0f4qb6dccz9bb312y9dadg745wf3n9qw"))))
+                "1ra0ii805w3rrs0qqbjxzl6i79ksz42lnvbglw18h4igkza21kzj"))))
      (build-system gnu-build-system)
      (arguments
       `(#:tests? #f                      ; no check target
-- 
2.34.1

-- 
ギャラです。
From 0d50d89c4cb35c8ef51116dc36044a493d4bd274 Mon Sep 17 00:00:00 2001
From: gyara <[email-masked]>
Date: Sat, 11 Dec 2021 22:51:07 +0900
Subject: [PATCH] update dunst to v1.7.3

---
 gnu/packages/dunst.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/dunst.scm b/gnu/packages/dunst.scm
index 908999eb04..250840415e 100644
--- a/gnu/packages/dunst.scm
+++ b/gnu/packages/dunst.scm
@@ -39,7 +39,7 @@ (define-module (gnu packages dunst)
 (define-public dunst
   (package
     (name "dunst")
-    (version "1.7.1")
+    (version "1.7.3")
     (source (origin
               (method git-fetch)
               (uri (git-reference
@@ -48,7 +48,7 @@ (define-public dunst
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "0v15fhwzcg7zfn092sry0f4qb6dccz9bb312y9dadg745wf3n9qw"))))
+                "1ra0ii805w3rrs0qqbjxzl6i79ksz42lnvbglw18h4igkza21kzj"))))
     (build-system gnu-build-system)
     (arguments
      `(#:tests? #f                      ; no check target
-- 
2.34.1